Debian Bug report logs - #659440
ITP: bumblebee -- nVidia Optimus support for GNU/Linux

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Nelson A. de Oliveira" <naoliv@debian.org>

Date: Sat, 11 Feb 2012 04:18:02 UTC

Owned by: Aron Xu <aron@debian.org>

Severity: wishlist

Fixed in version bumblebee/3.2.1-1

Done: Vincent Cheng <Vincentc1208@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, naoliv@debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Sat, 11 Feb 2012 04:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
New Bug report received and forwarded. Copy sent to naoliv@debian.org, wnpp@debian.org. (Sat, 11 Feb 2012 04:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: bumblebee -- nVidia Optimus support for GNU/Linux
Date: Sat, 11 Feb 2012 02:13:52 -0200
Package: wnpp
Severity: wishlist

* Package name    : bumblebee
  Version         : 3.0
  Upstream Author : Jaron Viëtor AKA "Thulinma" <jaron@vietors.com>,
  Joaquín Ignacio Aramendía <samsagax@gmail.com>, Peter Lekensteyn
  <lekensteyn@gmail.com>
* URL             : http://bumblebee-project.org/
* License         : GPL 3+
  Programming Lang: C
  Description     : nVidia Optimus support for GNU/Linux

Bumblebee daemon is a rewrite of the original
[Bumblebee](https://github.com/Bumblebee-Project/Bumblebee-old)
service, providing an elegant and stable means of managing Optimus
hybrid graphics chipsets. A primary goal of this project is to not only
enable use of the discrete GPU for rendering, but also to enable
smart power management of the dGPU when it's not in use.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Thu, 17 May 2012 08:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 May 2012 08:00:08 GMT) Full text and rfc822 format available.

Message #10 received at 659440@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 659440@bugs.debian.org
Date: Thu, 17 May 2012 09:56:32 +0200
Following instructions from:

http://wiki.debian.org/Bumblebee

I could get everything installed+running on my debian/stable system.
It would be nice to import all those missing ubuntu packages directly
in debian.

2ct




Added blocking bug(s) of 659440: 612341 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 16:06:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659440: 673424 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 16:24:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659440: 673426 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 16:24:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659440: 602034 Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Sun, 26 Aug 2012 20:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Wed, 03 Oct 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 03 Oct 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: 659440@bugs.debian.org
Date: Thu, 4 Oct 2012 00:15:19 +0800
I'm interested on getting bumblebee land on Debian, but my personal
time does not allow me to do very much of the work. If there are
people who are willing to work together then it will be good.


--
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Wed, 10 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 10 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Message #28 received at 659440@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Aron Xu <aron@debian.org>
Cc: 659440@bugs.debian.org
Subject: Re:
Date: Thu, 11 Oct 2012 00:52:13 +0530
[Message part 1 (text/plain, inline)]
On Wednesday 03 October 2012 09:45 PM, Aron Xu wrote:
> I'm interested on getting bumblebee land on Debian, but my personal
> time does not allow me to do very much of the work. If there are
> people who are willing to work together then it will be good.
So I got myself a Lenovo W530 which has the same requirement. I am willing to take maintenance of this package. I currently just am installing the bumblebee packages from [1]. If everything works, I will use its source as a start for the packaging work.

Aron, If you have already done any work, please let me know.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System


[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Ritesh Raj Sarraf <rrs@debian.org>. Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Wed, 10 Oct 2012 19:27:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ritesh Raj Sarraf <rrs@debian.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 04:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Thu, 11 Oct 2012 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Oct 2012 12:24:03 GMT) Full text and rfc822 format available.

Message #37 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: rrs@debian.org
Cc: 659440@bugs.debian.org
Subject: Re:
Date: Thu, 11 Oct 2012 20:20:06 +0800
On Thu, Oct 11, 2012 at 3:22 AM, Ritesh Raj Sarraf <rrs@debian.org> wrote:
> On Wednesday 03 October 2012 09:45 PM, Aron Xu wrote:
>> I'm interested on getting bumblebee land on Debian, but my personal
>> time does not allow me to do very much of the work. If there are
>> people who are willing to work together then it will be good.
> So I got myself a Lenovo W530 which has the same requirement. I am willing to take maintenance of this package. I currently just am installing the bumblebee packages from [1]. If everything works, I will use its source as a start for the packaging work.
>
> Aron, If you have already done any work, please let me know.
>

I've tried from bumblebee stable PPA with Ubuntu 12.04 LTS on my T430,
and it works like a charm. I guess it won't require a lot of work to
make them fit for Debian.

I've created a git repository of bbswitch[1] in pkg-nvidia which is
largely based on the work in that PPA. I think the package bumblebee
should also go into pkg-nvidia. virtualgl and libjpeg-turbo need to be
treated outside the team.

[1]http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bbswitch.git

--
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Wed, 07 Nov 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Nov 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #42 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Debian Bug Tracking System <control@bugs.debian.org>, 692597@bugs.debian.org, 659440@bugs.debian.org
Subject: blocks 659440 by 692597
Date: Thu, 8 Nov 2012 03:11:39 +0800
blocks 659440 by 692597
thanks

primus is a replacement of virtualgl here, which does not require
libjpeg-turbo and is faster, but also far less feature-rich like it.




--
Regards,
Aron Xu



Added blocking bug(s) of 659440: 692597 Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 07 Nov 2012 19:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Fri, 28 Dec 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #49 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: 659440@bugs.debian.org, 673424@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Cc: Ritesh Raj Sarraf <rrs@debian.org>
Subject: bumblebee packaging
Date: Sat, 29 Dec 2012 04:25:49 +0800
retitle 659440  ITP: bumblebee -- nVidia Optimus support for GNU/Linux
thanks

I've decided not waiting libjpeg-turbo for virtualgl, as it's not a
necessary part for most users who just want the power saving. Also
primus is usable for who don't want to wait. bbswitch has been
uploaded and should be sitting in NEW soon. The progress may not be
very quick but should be acceptable, help is always welcomed!


--
Regards,
Aron Xu



Changed Bug title to 'ITP: bumblebee -- nVidia Optimus support for GNU/Linux' from 'RFP: bumblebee -- nVidia Optimus support for GNU/Linux' Request was from Aron Xu <aron@debian.org> to control@bugs.debian.org. (Fri, 28 Dec 2012 20:27:08 GMT) Full text and rfc822 format available.

Owner recorded as Aron Xu <aron@debian.org>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 10:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sun, 30 Dec 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sun, 30 Dec 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #58 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 659440@bugs.debian.org, 692597@bugs.debian.org
Cc: Aron Xu <aron@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: ITP: primus -- Low-overhead client-side GPU offloading
Date: Sun, 30 Dec 2012 02:11:31 -0800
Hi everyone,

I just wanted to chip in and share the work I've done on primus'
packaging, since there aren't any readily-available .debs (or a
repository) for primus on Debian (at least, I haven't found any yet).
The packaging is definitely a work-in-progress, but IMHO primus itself
is pretty mature, and the only regression it has compared to
optirun/VirtualGL (that I've found) is that it doesn't seem to work
with nvidia-settings (a few games that I have which crash using
primusrun also crash with optirun, so no loss there).

http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html

(or a direct link to the .dsc:
http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Thu, 03 Jan 2013 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 21:33:03 GMT) Full text and rfc822 format available.

Message #63 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: ITP: primus -- Low-overhead client-side GPU offloading
Date: Fri, 4 Jan 2013 05:30:35 +0800
Hi Cheng,

On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
> Hi everyone,
>
> I just wanted to chip in and share the work I've done on primus'
> packaging, since there aren't any readily-available .debs (or a
> repository) for primus on Debian (at least, I haven't found any yet).
> The packaging is definitely a work-in-progress, but IMHO primus itself
> is pretty mature, and the only regression it has compared to
> optirun/VirtualGL (that I've found) is that it doesn't seem to work
> with nvidia-settings (a few games that I have which crash using
> primusrun also crash with optirun, so no loss there).
>
> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>
> (or a direct link to the .dsc:
> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>

I haven't tried your package yet, but I invite you to help me maintain
this package. There are many things on my plate already and it would
be good to work with you, ;-)

I plan to work on packaging/uploading bumblebee after 9th this month,
it's not so urgent as bbswitch is still in NEW. Again, help is
appreciated!


--
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Fri, 04 Jan 2013 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Fri, 04 Jan 2013 07:57:03 GMT) Full text and rfc822 format available.

Message #68 received at 659440@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Aron Xu <aron@debian.org>, 659440@bugs.debian.org
Cc: Vincent Cheng <vincentc1208@gmail.com>, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Fri, 4 Jan 2013 08:53:23 +0100
On Thu, Jan 3, 2013 at 10:30 PM, Aron Xu <aron@debian.org> wrote:
> Hi Cheng,
>
> On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>> Hi everyone,
>>
>> I just wanted to chip in and share the work I've done on primus'
>> packaging, since there aren't any readily-available .debs (or a
>> repository) for primus on Debian (at least, I haven't found any yet).
>> The packaging is definitely a work-in-progress, but IMHO primus itself
>> is pretty mature, and the only regression it has compared to
>> optirun/VirtualGL (that I've found) is that it doesn't seem to work
>> with nvidia-settings (a few games that I have which crash using
>> primusrun also crash with optirun, so no loss there).
>>
>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>>
>> (or a direct link to the .dsc:
>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>>
>
> I haven't tried your package yet, but I invite you to help me maintain
> this package. There are many things on my plate already and it would
> be good to work with you, ;-)
>
> I plan to work on packaging/uploading bumblebee after 9th this month,
> it's not so urgent as bbswitch is still in NEW. Again, help is
> appreciated!

Since both packages are related to NVidia technologies, why not
maintain them under the Debian NVIDIA Maintainers
<pkg-nvidia-devel@lists.alioth.debian.org> group ?

See:
http://qa.debian.org/developer.php?login=pkg-nvidia-devel@lists.alioth.debian.org

2cts,



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659440; Package wnpp. (Fri, 04 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: Mathieu Malaterre <malat@debian.org>
Cc: 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Ritesh Raj Sarraf <rrs@debian.org>, 692597@bugs.debian.org, Vincent Cheng <vincentc1208@gmail.com>
Subject: Re: Bug#692597: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Fri, 4 Jan 2013 23:59:53 +0800
[Message part 1 (text/plain, inline)]
I agree both bbswitch and bumblebee should be maintained in pkg-nvidia,
and I've already done that for bbswitch. But I think primus and virtualgl
should not go into the team. What do you think?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sun, 06 Jan 2013 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sun, 06 Jan 2013 01:33:03 GMT) Full text and rfc822 format available.

Message #78 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Aron Xu <aron@debian.org>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: ITP: primus -- Low-overhead client-side GPU offloading
Date: Sat, 5 Jan 2013 17:30:27 -0800
On Thu, Jan 3, 2013 at 1:30 PM, Aron Xu <aron@debian.org> wrote:
> Hi Cheng,
>
> On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>> Hi everyone,
>>
>> I just wanted to chip in and share the work I've done on primus'
>> packaging, since there aren't any readily-available .debs (or a
>> repository) for primus on Debian (at least, I haven't found any yet).
>> The packaging is definitely a work-in-progress, but IMHO primus itself
>> is pretty mature, and the only regression it has compared to
>> optirun/VirtualGL (that I've found) is that it doesn't seem to work
>> with nvidia-settings (a few games that I have which crash using
>> primusrun also crash with optirun, so no loss there).
>>
>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>>
>> (or a direct link to the .dsc:
>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>>
>
> I haven't tried your package yet, but I invite you to help me maintain
> this package. There are many things on my plate already and it would
> be good to work with you, ;-)
>
> I plan to work on packaging/uploading bumblebee after 9th this month,
> it's not so urgent as bbswitch is still in NEW. Again, help is
> appreciated!
>

I'd be glad to help out and co-maintain bumblebee and co. with you
(and that goes for everyone who's following along with this bug
report). I've just gotten commit access for pkg-nvidia's repositories
and will upload the work I've done on primus later tonight.

Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sun, 06 Jan 2013 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sun, 06 Jan 2013 01:45:03 GMT) Full text and rfc822 format available.

Message #83 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Mathieu Malaterre <malat@debian.org>
Cc: Aron Xu <aron@debian.org>, 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Sat, 5 Jan 2013 17:41:17 -0800
On Thu, Jan 3, 2013 at 11:53 PM, Mathieu Malaterre <malat@debian.org> wrote:
> On Thu, Jan 3, 2013 at 10:30 PM, Aron Xu <aron@debian.org> wrote:
>> Hi Cheng,
>>
>> On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>>> Hi everyone,
>>>
>>> I just wanted to chip in and share the work I've done on primus'
>>> packaging, since there aren't any readily-available .debs (or a
>>> repository) for primus on Debian (at least, I haven't found any yet).
>>> The packaging is definitely a work-in-progress, but IMHO primus itself
>>> is pretty mature, and the only regression it has compared to
>>> optirun/VirtualGL (that I've found) is that it doesn't seem to work
>>> with nvidia-settings (a few games that I have which crash using
>>> primusrun also crash with optirun, so no loss there).
>>>
>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>>>
>>> (or a direct link to the .dsc:
>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>>>
>>
>> I haven't tried your package yet, but I invite you to help me maintain
>> this package. There are many things on my plate already and it would
>> be good to work with you, ;-)
>>
>> I plan to work on packaging/uploading bumblebee after 9th this month,
>> it's not so urgent as bbswitch is still in NEW. Again, help is
>> appreciated!
>
> Since both packages are related to NVidia technologies, why not
> maintain them under the Debian NVIDIA Maintainers
> <pkg-nvidia-devel@lists.alioth.debian.org> group ?
>
> See:
> http://qa.debian.org/developer.php?login=pkg-nvidia-devel@lists.alioth.debian.org
>
> 2cts,

I'm indifferent to maintaining the set of packages that bumblebee
requires either within or outside of pkg-nvidia. On one hand,
virtualgl/primus is only being considered in Debian right now for
bumblebee support, but these technologies are not specifically tied to
Nvidia. Then again, bumblebee and co. will only be necessary with the
proprietary nvidia drivers once prime/dma-buf support for nouveau is
fully implemented and mature (I'm unsure about what the current status
of optimus support with the free drivers are, at this moment).

I'll hold off on uploading my primus packaging until we come to some
sort of consensus...

Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sun, 06 Jan 2013 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sun, 06 Jan 2013 08:39:03 GMT) Full text and rfc822 format available.

Message #88 received at 659440@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: Aron Xu <aron@debian.org>, 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Sun, 6 Jan 2013 09:33:35 +0100
On Sun, Jan 6, 2013 at 2:41 AM, Vincent Cheng <vincentc1208@gmail.com> wrote:
> On Thu, Jan 3, 2013 at 11:53 PM, Mathieu Malaterre <malat@debian.org> wrote:
>> On Thu, Jan 3, 2013 at 10:30 PM, Aron Xu <aron@debian.org> wrote:
>>> Hi Cheng,
>>>
>>> On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>>>> Hi everyone,
>>>>
>>>> I just wanted to chip in and share the work I've done on primus'
>>>> packaging, since there aren't any readily-available .debs (or a
>>>> repository) for primus on Debian (at least, I haven't found any yet).
>>>> The packaging is definitely a work-in-progress, but IMHO primus itself
>>>> is pretty mature, and the only regression it has compared to
>>>> optirun/VirtualGL (that I've found) is that it doesn't seem to work
>>>> with nvidia-settings (a few games that I have which crash using
>>>> primusrun also crash with optirun, so no loss there).
>>>>
>>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>>>>
>>>> (or a direct link to the .dsc:
>>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>>>>
>>>
>>> I haven't tried your package yet, but I invite you to help me maintain
>>> this package. There are many things on my plate already and it would
>>> be good to work with you, ;-)
>>>
>>> I plan to work on packaging/uploading bumblebee after 9th this month,
>>> it's not so urgent as bbswitch is still in NEW. Again, help is
>>> appreciated!
>>
>> Since both packages are related to NVidia technologies, why not
>> maintain them under the Debian NVIDIA Maintainers
>> <pkg-nvidia-devel@lists.alioth.debian.org> group ?
>>
>> See:
>> http://qa.debian.org/developer.php?login=pkg-nvidia-devel@lists.alioth.debian.org
>>
>> 2cts,
>
> I'm indifferent to maintaining the set of packages that bumblebee
> requires either within or outside of pkg-nvidia. On one hand,
> virtualgl/primus is only being considered in Debian right now for
> bumblebee support, but these technologies are not specifically tied to
> Nvidia. Then again, bumblebee and co. will only be necessary with the
> proprietary nvidia drivers once prime/dma-buf support for nouveau is
> fully implemented and mature (I'm unsure about what the current status
> of optimus support with the free drivers are, at this moment).
>
> I'll hold off on uploading my primus packaging until we come to some
> sort of consensus...

Please dont. My suggestion to use the pkg-nvidia-devel umbrella group
was simply a mean of going thing going, not stopping them.

I work within other umbrealla group and this help in situations such
as (p-n-d makes it as easy chanel for discussion):
- request DD upload from a DM
- discussion on p-n-d@d.o on complex dependencies for package. If your
package is a leaf in the dependency tree, then this does not apply to
you.

If you feel confidant, then please upload as-is.

Regards,



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 07 Jan 2013 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 07 Jan 2013 06:39:03 GMT) Full text and rfc822 format available.

Message #93 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Mathieu Malaterre <malat@debian.org>
Cc: Aron Xu <aron@debian.org>, 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Sun, 6 Jan 2013 22:29:16 -0800
On Sun, Jan 6, 2013 at 12:33 AM, Mathieu Malaterre <malat@debian.org> wrote:
> On Sun, Jan 6, 2013 at 2:41 AM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>> On Thu, Jan 3, 2013 at 11:53 PM, Mathieu Malaterre <malat@debian.org> wrote:
>>> On Thu, Jan 3, 2013 at 10:30 PM, Aron Xu <aron@debian.org> wrote:
>>>> Hi Cheng,
>>>>
>>>> On Sun, Dec 30, 2012 at 6:11 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>>>>> Hi everyone,
>>>>>
>>>>> I just wanted to chip in and share the work I've done on primus'
>>>>> packaging, since there aren't any readily-available .debs (or a
>>>>> repository) for primus on Debian (at least, I haven't found any yet).
>>>>> The packaging is definitely a work-in-progress, but IMHO primus itself
>>>>> is pretty mature, and the only regression it has compared to
>>>>> optirun/VirtualGL (that I've found) is that it doesn't seem to work
>>>>> with nvidia-settings (a few games that I have which crash using
>>>>> primusrun also crash with optirun, so no loss there).
>>>>>
>>>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/index.html
>>>>>
>>>>> (or a direct link to the .dsc:
>>>>> http://www.ugrad.cs.ubc.ca/~b2c8/debian/primus/primus_0~20121211-1~vc1.dsc)
>>>>>
>>>>
>>>> I haven't tried your package yet, but I invite you to help me maintain
>>>> this package. There are many things on my plate already and it would
>>>> be good to work with you, ;-)
>>>>
>>>> I plan to work on packaging/uploading bumblebee after 9th this month,
>>>> it's not so urgent as bbswitch is still in NEW. Again, help is
>>>> appreciated!
>>>
>>> Since both packages are related to NVidia technologies, why not
>>> maintain them under the Debian NVIDIA Maintainers
>>> <pkg-nvidia-devel@lists.alioth.debian.org> group ?
>>>
>>> See:
>>> http://qa.debian.org/developer.php?login=pkg-nvidia-devel@lists.alioth.debian.org
>>>
>>> 2cts,
>>
>> I'm indifferent to maintaining the set of packages that bumblebee
>> requires either within or outside of pkg-nvidia. On one hand,
>> virtualgl/primus is only being considered in Debian right now for
>> bumblebee support, but these technologies are not specifically tied to
>> Nvidia. Then again, bumblebee and co. will only be necessary with the
>> proprietary nvidia drivers once prime/dma-buf support for nouveau is
>> fully implemented and mature (I'm unsure about what the current status
>> of optimus support with the free drivers are, at this moment).
>>
>> I'll hold off on uploading my primus packaging until we come to some
>> sort of consensus...
>
> Please dont. My suggestion to use the pkg-nvidia-devel umbrella group
> was simply a mean of going thing going, not stopping them.
>
> I work within other umbrealla group and this help in situations such
> as (p-n-d makes it as easy chanel for discussion):
> - request DD upload from a DM
> - discussion on p-n-d@d.o on complex dependencies for package. If your
> package is a leaf in the dependency tree, then this does not apply to
> you.

I generally agree that maintaining packages in a team is better than
not doing so, when there are multiple people willing to work on the
package. For primus specifically however, I'm still not quite sure
which approach everyone would prefer; Aron has already said that he
thinks that primus should be maintained outside the team, and I don't
think anyone who's currently in the pkg-nvidia team (Russ/Andreas?)
has commented on whether or not they'd like to have primus maintained
within the team.

Being able to use pkg-nvidia-devel@lists.a.d.o rather than having to
setup another mailing list is certainly very convenient though.

> If you feel confidant, then please upload as-is.

I'm just a DM, so I'll need a sponsor once the package is fit for the
archives. (I've worked with Aron on a number of other packages before,
so presumably he'd be willing to sponsor my package, regardless of
whether primus ends up being team-maintained or not.)

How about this: I'll upload my work to collab-maint for now, and if we
decide later that we do in fact want primus maintained in pkg-nvidia,
we could always just switch over. :)

Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 07 Jan 2013 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 07 Jan 2013 08:21:03 GMT) Full text and rfc822 format available.

Message #98 received at 659440@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: Aron Xu <aron@debian.org>, 659440@bugs.debian.org, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Mon, 7 Jan 2013 09:17:41 +0100
Hi,

On Mon, Jan 7, 2013 at 7:29 AM, Vincent Cheng <vincentc1208@gmail.com> wrote:
[...]
> How about this: I'll upload my work to collab-maint for now, and if we
> decide later that we do in fact want primus maintained in pkg-nvidia,
> we could always just switch over. :)

Fine with me.

Thanks



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 07 Jan 2013 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 07 Jan 2013 12:27:02 GMT) Full text and rfc822 format available.

Message #103 received at 659440@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Aron Xu <aron@debian.org>
Subject: Re: Bug#659440: ITP: primus -- Low-overhead client-side GPU offloading
Date: Mon, 07 Jan 2013 13:24:09 +0100
On 2013-01-07 07:29, Vincent Cheng wrote:
> think anyone who's currently in the pkg-nvidia team (Russ/Andreas?)
> has commented on whether or not they'd like to have primus maintained
> within the team.

I don't really care - optimus, primus, bumblebee, ... is stuff I'm
(currently) not being interested in - but I appreciate your work on
these things.

I welcome everyone working on something related to (proprietary) Nvidia
stuff to join the team, and publish packages either under the team
umbrella or separately. Time will show whether some piece of contrib
software will find more general use (e.g. src:khronos-opencl-headers
moved to main, but that does not mean we need to kick out of the team -
but if a more suitable team comes around we could hand it over ...)

Being a member of a team does not mean you have to care about every
package managed by the team ... but it may simplify discussion and
sponsoring.

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sat, 19 Jan 2013 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sat, 19 Jan 2013 17:27:03 GMT) Full text and rfc822 format available.

Message #108 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Cc: Vincent Cheng <Vincentc1208@gmail.com>, Mathieu Malaterre <malat@debian.org>
Subject: bumblebee packaging
Date: Sun, 20 Jan 2013 01:24:31 +0800
Hi,

I've made some progress on bumblebee and pushed to pkg-nvidia repo:
http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git

But because it's late here I can't test it now, if anyone can try it
please let me know your results, thanks!

-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 21 Jan 2013 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 21 Jan 2013 09:15:03 GMT) Full text and rfc822 format available.

Message #113 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: bumblebee packaging
Date: Mon, 21 Jan 2013 01:12:30 -0800
Hi Aron,

On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
> Hi,
>
> I've made some progress on bumblebee and pushed to pkg-nvidia repo:
> http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git
>
> But because it's late here I can't test it now, if anyone can try it
> please let me know your results, thanks!

I've made a number of small changes to take into account certain
differences between Debian and Ubuntu's packaging of nvidia's
proprietary drivers [1][2] and added an udev rule to fix a bug [3].
Also cleaned up a few lintian tags (patch headers, and added a spiffy
new watch file).

I haven't actually tried installing those packages yet, but I'll try
to get to that asap (on a slightly unrelated note, I'll also try to
clean up my primus packaging a bit and get that uploaded too).

Regards,
Vincent

[1] http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git;a=commitdiff;h=9544a02384389d14a41af6f0e5e3f0d4146f8f73
[2] http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git;a=commitdiff;h=7f51942a698ab09009b17a528418bbd6a3dfc78b
[3] https://github.com/Bumblebee-Project/Bumblebee/issues/144



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 21 Jan 2013 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 21 Jan 2013 09:39:03 GMT) Full text and rfc822 format available.

Message #118 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Vincent Cheng <vincentc1208@gmail.com>, 659440@bugs.debian.org
Cc: 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#659440: bumblebee packaging
Date: Mon, 21 Jan 2013 17:36:28 +0800
Hi Vincent,

On Mon, Jan 21, 2013 at 5:12 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
> Hi Aron,
>
> On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
>> Hi,
>>
>> I've made some progress on bumblebee and pushed to pkg-nvidia repo:
>> http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git
>>
>> But because it's late here I can't test it now, if anyone can try it
>> please let me know your results, thanks!
>
> I've made a number of small changes to take into account certain
> differences between Debian and Ubuntu's packaging of nvidia's
> proprietary drivers [1][2] and added an udev rule to fix a bug [3].
> Also cleaned up a few lintian tags (patch headers, and added a spiffy
> new watch file).
>
> I haven't actually tried installing those packages yet, but I'll try
> to get to that asap (on a slightly unrelated note, I'll also try to
> clean up my primus packaging a bit and get that uploaded too).
>

Thanks for your work, I've tested my previous version on Debian Wheezy
with a T420 Laptop, and it works as expected, using sysvinit and
systemd, 3.2 and 3.7 kernels, all of them are ok. I tried to install
my version of bbswitch and bumblebee on Ubuntu, but it appears that
upstart needs more tuning, which I haven't worked on yet. If you have
interest in it please have a try.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 21 Jan 2013 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 21 Jan 2013 09:54:03 GMT) Full text and rfc822 format available.

Message #123 received at 659440@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: Aron Xu <happyaron.xu@gmail.com>, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: bumblebee packaging
Date: Mon, 21 Jan 2013 10:51:04 +0100
On 2013-01-21 10:12, Vincent Cheng wrote:
> On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
>> I've made some progress on bumblebee and pushed to pkg-nvidia repo:

> I've made a number of small changes to take into account certain
> differences between Debian and Ubuntu's packaging of nvidia's
> proprietary drivers [1][2] and added an udev rule to fix a bug [3].

Nice too see some progress :-)

Are there any problems you encounter with the nvidia driver packaging in
Debian? Please also test with nvidia-kernel-common and glx-alternative-*
from experimental (they change the kernel module blacklist handling to
be controlled with the glx alternatives, a update-initramfs call may be
needed in addition to update-alternatives, but therefore you can disable
the blacklist without manually doing rm or dpkg --purge).

One of the goals of the current packaging is usability in live systems -
having all the proprietary drivers co-installable and allow them to be
installed but deactivated, so that some (yet to be written) utility
could detect hardware, switch alternatives, and create X config.
It would be nice if bumblebee would somehow integrate in this.
(Disclaimer: I don't do anything -live myself.)

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 21 Jan 2013 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 21 Jan 2013 13:57:03 GMT) Full text and rfc822 format available.

Message #128 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: Vincent Cheng <vincentc1208@gmail.com>, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: bumblebee packaging
Date: Mon, 21 Jan 2013 21:55:01 +0800
On Mon, Jan 21, 2013 at 5:51 PM, Andreas Beckmann <debian@abeckmann.de> wrote:
> On 2013-01-21 10:12, Vincent Cheng wrote:
>> On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
>>> I've made some progress on bumblebee and pushed to pkg-nvidia repo:
>
>> I've made a number of small changes to take into account certain
>> differences between Debian and Ubuntu's packaging of nvidia's
>> proprietary drivers [1][2] and added an udev rule to fix a bug [3].
>
> Nice too see some progress :-)
>
> Are there any problems you encounter with the nvidia driver packaging in
> Debian? Please also test with nvidia-kernel-common and glx-alternative-*
> from experimental (they change the kernel module blacklist handling to
> be controlled with the glx alternatives, a update-initramfs call may be
> needed in addition to update-alternatives, but therefore you can disable
> the blacklist without manually doing rm or dpkg --purge).
>

No real problems so far, there are only some if/else to handle the
difference between Debian and Ubuntu, as both Vincent and I would like
to make this package working in the two systems. We haven't tried the
packages you mentioned from experimental, will do that and thanks for
the info.

> One of the goals of the current packaging is usability in live systems -
> having all the proprietary drivers co-installable and allow them to be
> installed but deactivated, so that some (yet to be written) utility
> could detect hardware, switch alternatives, and create X config.
> It would be nice if bumblebee would somehow integrate in this.
> (Disclaimer: I don't do anything -live myself.)
>
> Andreas

I agree that integrating bumblebee into live systems is useful, and
actually bumblebee works with nouveau as well at least for power
saving (disabling the discrete card), which is useful for those who
installs multiple systems typically Linux + Windows.

-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Wed, 23 Jan 2013 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Wed, 23 Jan 2013 09:51:03 GMT) Full text and rfc822 format available.

Message #133 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: Aron Xu <happyaron.xu@gmail.com>, 692597@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>, 659440@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Subject: Re: bumblebee packaging
Date: Wed, 23 Jan 2013 01:48:53 -0800
On Mon, Jan 21, 2013 at 1:51 AM, Andreas Beckmann <debian@abeckmann.de> wrote:
> On 2013-01-21 10:12, Vincent Cheng wrote:
>> On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
>>> I've made some progress on bumblebee and pushed to pkg-nvidia repo:
>
>> I've made a number of small changes to take into account certain
>> differences between Debian and Ubuntu's packaging of nvidia's
>> proprietary drivers [1][2] and added an udev rule to fix a bug [3].
>
> Nice too see some progress :-)
>
> Are there any problems you encounter with the nvidia driver packaging in
> Debian? Please also test with nvidia-kernel-common and glx-alternative-*
> from experimental (they change the kernel module blacklist handling to
> be controlled with the glx alternatives, a update-initramfs call may be
> needed in addition to update-alternatives, but therefore you can disable
> the blacklist without manually doing rm or dpkg --purge).

I have no problem with bumblebee and the current versions of
nvidia-kernel-common and glx-alternative-{mesa,nvidia} in
experimental; I've been tracking experimental for a while to get the
latest nvidia driver releases anyways.

Regardless of how glx-alternatives handles module blacklisting,
debian/bumblebee.modprobe (installed by bumblebee's packaging as
/etc/modprobe.d/bumblebee.conf) actually blacklists both nouveau and
nvidia, since the discrete nvidia card is powered down when not in use
and bbswitch loads and unloads the desired module on demand (when not
in use, neither module is loaded).

> One of the goals of the current packaging is usability in live systems -
> having all the proprietary drivers co-installable and allow them to be
> installed but deactivated, so that some (yet to be written) utility
> could detect hardware, switch alternatives, and create X config.
> It would be nice if bumblebee would somehow integrate in this.
> (Disclaimer: I don't do anything -live myself.)

I've never tried running bumblebee + nvidia drivers on a live system
before, but I think this should be possible, so long as nouveau can be
unloaded without having to reboot (I suppose since i915 is driving the
on-board graphics card and the display, that this is possible?).

Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Wed, 23 Jan 2013 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Wed, 23 Jan 2013 10:27:08 GMT) Full text and rfc822 format available.

Message #138 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#659440: bumblebee packaging
Date: Wed, 23 Jan 2013 02:24:37 -0800
On Mon, Jan 21, 2013 at 1:36 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
> Hi Vincent,
>
> On Mon, Jan 21, 2013 at 5:12 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>> Hi Aron,
>>
>> On Sat, Jan 19, 2013 at 9:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
>>> Hi,
>>>
>>> I've made some progress on bumblebee and pushed to pkg-nvidia repo:
>>> http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bumblebee.git
>>>
>>> But because it's late here I can't test it now, if anyone can try it
>>> please let me know your results, thanks!
>>
>> I've made a number of small changes to take into account certain
>> differences between Debian and Ubuntu's packaging of nvidia's
>> proprietary drivers [1][2] and added an udev rule to fix a bug [3].
>> Also cleaned up a few lintian tags (patch headers, and added a spiffy
>> new watch file).
>>
>> I haven't actually tried installing those packages yet, but I'll try
>> to get to that asap (on a slightly unrelated note, I'll also try to
>> clean up my primus packaging a bit and get that uploaded too).
>>
>
> Thanks for your work, I've tested my previous version on Debian Wheezy
> with a T420 Laptop, and it works as expected, using sysvinit and
> systemd, 3.2 and 3.7 kernels, all of them are ok. I tried to install
> my version of bbswitch and bumblebee on Ubuntu, but it appears that
> upstart needs more tuning, which I haven't worked on yet. If you have
> interest in it please have a try.
>

Assuming that you're also using the proprietary nvidia drivers, I'm a
bit surprised that your previous version (before I added my commits to
the git repo, right?) of bumblebee's packaging works on your Debian
laptop. The most important difference between the PPA and Igor's
packaging is in bumblebee-nvidia's postinst:

PPA:
# update-alternatives --set $arch_gl_conf /usr/lib/$arch/mesa/ld.so.conf

Igor's debian bumblebee repo (suwako.nomanga.net):
# update-alternatives --set glx /usr/lib/mesa-diverted

Assuming you haven't manually run update-alternatives to divert the
glx symlink from /usr/lib/nvidia -> /usr/lib/mesa-diverted
(/usr/lib/nvidia has a higher priority than mesa-diverted), which for
the record is also mentioned on the Bumblebee page of Debian's wiki
[1], your intel graphics card would be trying to use nvidia's libGL
instead of mesa's implementation, and you'd lose 3D acceleration.
Debian's alternatives system doesn't have $arch_gl_conf, so the Ubuntu
PPA's postinst (and your previous packaging) would fail to correctly
divert libGL in Debian. (Unless I'm horribly mistaken and/or
overlooked something in your packaging?)

Just curious, what's the output of "sudo update-alternatives --display
glx" and "glxinfo" on your laptop?


Anyways, right now I'm hitting a strange bug with the packages I
built; dpkg just seems to hang while installing bumblebee and
bumblebee-nvidia, i.e.:
$ sudo dpkg -i bumblebee_3.0.1-1_amd64.deb bumblebee-nvidia_3.0.1-1_amd64.deb
(Reading database ... 398188 files and directories currently installed.)
Preparing to replace bumblebee 3.0.1-1 (using bumblebee_3.0.1-1_amd64.deb) ...
[ ok ] Stopping Bumblebee daemon: bumblebeed.
Unpacking replacement bumblebee ...
Preparing to replace bumblebee-nvidia 3.0.1-1 (using
bumblebee-nvidia_3.0.1-1_amd64.deb) ...
Unpacking replacement bumblebee-nvidia ...
Setting up bumblebee (3.0.1-1) ...
Installing new version of config file /etc/init.d/bumblebeed ...
update-initramfs: deferring update (trigger activated)
<...seems to get stuck here>

(Reproducible with the packaging after I committed my changes, and
with only your changes instead.)

Poking around with ps tells me that the show stopper is "/bin/sh
/var/lib/dpkg/info/bumblebee.postinst configure 3.0.1-1", hence
something about bumblebee's postinst script is causing me some
trouble, but then again Igor's Debian bumblebee packages work fine:

$ sudo apt-get install bumblebee bumblebee-nvidia
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  bumblebee bumblebee-nvidia
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/62.0 kB of archives.
After this operation, 246 kB of additional disk space will be used.
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Selecting previously unselected package bumblebee.
(Reading database ... 398161 files and directories currently installed.)
Unpacking bumblebee (from .../bumblebee_3.0.1-1_amd64.deb) ...
Selecting previously unselected package bumblebee-nvidia.
Unpacking bumblebee-nvidia (from .../bumblebee-nvidia_3.0.1-1_all.deb) ...
Processing triggers for man-db ...
Setting up bumblebee (3.0.1-1) ...
[ ok ] Starting Bumblebee daemon: bumblebeed.
Setting up bumblebee-nvidia (3.0.1-1) ...
update-alternatives: using /usr/lib/mesa-diverted to provide
/usr/lib/glx (glx) in manual mode
$

I'll take another look at this tomorrow, but for now I just want to go
to bed. :)

Regards,
Vincent

[1] http://wiki.debian.org/Bumblebee#Driver_choice



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Tue, 29 Jan 2013 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Tue, 29 Jan 2013 07:03:04 GMT) Full text and rfc822 format available.

Message #143 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#659440: bumblebee packaging
Date: Mon, 28 Jan 2013 23:00:38 -0800
On Wed, Jan 23, 2013 at 2:24 AM, Vincent Cheng <vincentc1208@gmail.com> wrote:
[...]
> Anyways, right now I'm hitting a strange bug with the packages I
> built; dpkg just seems to hang while installing bumblebee and
> bumblebee-nvidia, i.e.:
> $ sudo dpkg -i bumblebee_3.0.1-1_amd64.deb bumblebee-nvidia_3.0.1-1_amd64.deb
> (Reading database ... 398188 files and directories currently installed.)
> Preparing to replace bumblebee 3.0.1-1 (using bumblebee_3.0.1-1_amd64.deb) ...
> [ ok ] Stopping Bumblebee daemon: bumblebeed.
> Unpacking replacement bumblebee ...
> Preparing to replace bumblebee-nvidia 3.0.1-1 (using
> bumblebee-nvidia_3.0.1-1_amd64.deb) ...
> Unpacking replacement bumblebee-nvidia ...
> Setting up bumblebee (3.0.1-1) ...
> Installing new version of config file /etc/init.d/bumblebeed ...
> update-initramfs: deferring update (trigger activated)
> <...seems to get stuck here>

It turns out that the problem isn't caused by the postinst script. I
tried stripping out portions of it piece by piece (starting with the
conffile handling/dpkg-maintscript-helper snippets), but nothing
helped. Then I took a look at what should've appeared right afterwards
if dpkg didn't get "stuck" somehow:

<snip>
Setting up bumblebee (3.0.1-1) ...
Adding members from group(s) 'adm sudo admin' to 'bumblebee':
update-initramfs: deferring update (trigger activated)
[ ok ] Starting Bumblebee daemon: bumblebeed.

Ah, bumblebee's init script...

A 3-way comparison later between the distro-agnostic init script
provided upstream, the one provided by suwako.nomanga.net, and the one
currently in the pkg-nvidia git repo (presumably taken from a dh-make
template?), and it turns out that this is what was missing:

-DAEMON_ARGS="--use-syslog"
+DAEMON_ARGS="--daemon --use-syslog"

And the package installs fine now. :)

Aron, have you contacted upstream and asked to merge our work with
their PPA packaging? I want to try to push as much of our work
upstream to avoid duplicate work and potential oversights on our
part...also, I suppose maybe some of their Ubuntu PPA packagers might
be able to help with upstart. I'll go about preparing a merge request
on Github if you aren't planning on doing so yourself.

Now that bumblebee is taken care of, I've (finally) uploaded my primus
packaging, to collab-maint for now (but am open to moving it into
pkg-nvidia) [1].

Regards,
Vincent

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/primus.git



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2013 19:06:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659440: 700044 Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Thu, 07 Feb 2013 20:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Fri, 15 Feb 2013 15:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Fri, 15 Feb 2013 15:21:10 GMT) Full text and rfc822 format available.

Message #152 received at 659440@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#659440: bumblebee packaging
Date: Fri, 15 Feb 2013 23:20:31 +0800
Hi,

On Tue, Jan 29, 2013 at 3:00 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>
> Aron, have you contacted upstream and asked to merge our work with
> their PPA packaging? I want to try to push as much of our work
> upstream to avoid duplicate work and potential oversights on our
> part...also, I suppose maybe some of their Ubuntu PPA packagers might
> be able to help with upstart. I'll go about preparing a merge request
> on Github if you aren't planning on doing so yourself.
>

Not yet, while my first packaging was based on their PPA, though they
only installed upstart init scripts in their PPA. Please go ahead with
the merge request.

> Now that bumblebee is taken care of, I've (finally) uploaded my primus
> packaging, to collab-maint for now (but am open to moving it into
> pkg-nvidia) [1].
>
> Regards,
> Vincent
>
> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/primus.git

I'm okay for either collab-maint or pkg-nvidia, so it's up to your choice, :)

-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Sat, 16 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Sat, 16 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Message #157 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 659440@bugs.debian.org, 692597@bugs.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>, Mathieu Malaterre <malat@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#659440: bumblebee packaging
Date: Sat, 16 Feb 2013 02:18:42 -0800
On Fri, Feb 15, 2013 at 7:20 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
> Hi,
>
> On Tue, Jan 29, 2013 at 3:00 PM, Vincent Cheng <vincentc1208@gmail.com> wrote:
>>
>> Aron, have you contacted upstream and asked to merge our work with
>> their PPA packaging? I want to try to push as much of our work
>> upstream to avoid duplicate work and potential oversights on our
>> part...also, I suppose maybe some of their Ubuntu PPA packagers might
>> be able to help with upstart. I'll go about preparing a merge request
>> on Github if you aren't planning on doing so yourself.
>>
>
> Not yet, while my first packaging was based on their PPA, though they
> only installed upstart init scripts in their PPA. Please go ahead with
> the merge request.

Ok, I'll get around to it once I think about how I'm going to approach
primus' packaging (refer to that other email I sent you for details).

>> Now that bumblebee is taken care of, I've (finally) uploaded my primus
>> packaging, to collab-maint for now (but am open to moving it into
>> pkg-nvidia) [1].
>>
>> Regards,
>> Vincent
>>
>> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/primus.git
>
> I'm okay for either collab-maint or pkg-nvidia, so it's up to your choice, :)

Well...I feel inclined to pick pkg-nvidia just so we don't have to
have a long list of people to cc: every time something related to
primus' packaging is discussed. ;)  I'll move the repository over from
collab-maint to pkg-nvidia tomorrow then.

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Thu, 28 Feb 2013 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Thu, 28 Feb 2013 21:45:04 GMT) Full text and rfc822 format available.

Message #162 received at 659440@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 659440@bugs.debian.org
Subject: bumblebee 3.1 package
Date: Thu, 28 Feb 2013 22:33:33 +0100
Hi,

I just compiled the current bumblebee package git (2b221e81) and the
bumblebeed seems to work fine - I still have to test the new optirun
stuff though. Thanks a lot :)

However I have two questions (one could call them bugreports, but
there's no package yet to send a bugreport against ;-)
- The new README file says that primus was the default, but from all I
can see, the upstream default is not changed, and the alternative in
debian/control even prefers virtualgl. Of course, aptitude will still
install primus per default since virtualgl is not packaged, and optirun
will happily use it since the bridge is set up to "auto". Is that
intentional?
- More serious, the package does not deal well with the configuration
files in /etc/bumblebee. If I understood it properly, those file are
copied by the postinst from /usr/share/bumblebee/default-conf unless
they already exist. This means that if the default file changes, the
user will not be modified, and even users not changing the configuration
would not get the update. I do not even understand why this is done,
since dpkg handle configuration files excellently. If nobody is working
on that issue yet, I will try to fix this next weekend.

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Thu, 07 Mar 2013 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Thu, 07 Mar 2013 09:33:03 GMT) Full text and rfc822 format available.

Message #167 received at 659440@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 659440@bugs.debian.org, pkg-nvidia-devel@lists.alioth.debian.org
Subject: Patch for bumblebee package
Date: Thu, 07 Mar 2013 10:32:11 +0100
[Message part 1 (text/plain, inline)]
Hi,

attached is a patch for the bumblebee package to properly handle the
configuration files stored in /etc/bumblebee. For some reason, the
package used to not ship these files, but instead copy them in postinst,
which means users would not be prompted about changes in the default
configuration, nor obtain an updated configuration if they did not
change the file.

I also simplieifed debian/rules a bit in favour of using
debian/bumblebee.install to give additional files which are included in
the package. The bash-completion file is installed by "make install", so
there's no need to do that again.

Kind regards,
Ralf
[0001-Make-the-files-in-etc-conffiles-and-use-debian-bumbl.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Mon, 18 Mar 2013 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Mon, 18 Mar 2013 07:09:04 GMT) Full text and rfc822 format available.

Message #172 received at 659440@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Ralf Jung <post@ralfj.de>
Cc: 659440@bugs.debian.org, pkg-nvidia-devel@lists.alioth.debian.org
Subject: Re: Patch for bumblebee package
Date: Mon, 18 Mar 2013 00:06:19 -0700
Hi,

First off, sorry for the delayed response...

On Thu, Mar 7, 2013 at 1:32 AM, Ralf Jung <post@ralfj.de> wrote:
> Hi,
>
> attached is a patch for the bumblebee package to properly handle the
> configuration files stored in /etc/bumblebee. For some reason, the
> package used to not ship these files, but instead copy them in postinst,
> which means users would not be prompted about changes in the default
> configuration, nor obtain an updated configuration if they did not
> change the file.

I noticed this earlier too, but I was unsure whether there was a
specific reason upstream decided not to use conffiles for some of the
configuration files in /etc/bumblebee. That's something I plan on
asking the upstream PPA maintainers, but for now I'm somewhat hesitant
to change it...

> I also simplieifed debian/rules a bit in favour of using
> debian/bumblebee.install to give additional files which are included in
> the package. The bash-completion file is installed by "make install", so
> there's no need to do that again.

Thanks, applied this part of your patch to the git repo.

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aron Xu <aron@debian.org>:
Bug#659440; Package wnpp. (Tue, 19 Mar 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aron Xu <aron@debian.org>. (Tue, 19 Mar 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #177 received at 659440@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 659440@bugs.debian.org, pkg-nvidia-devel@lists.alioth.debian.org
Subject: Re: Patch for bumblebee package
Date: Tue, 19 Mar 2013 11:25:00 +0100
Hi,

>> attached is a patch for the bumblebee package to properly handle the
>> configuration files stored in /etc/bumblebee. For some reason, the
>> package used to not ship these files, but instead copy them in postinst,
>> which means users would not be prompted about changes in the default
>> configuration, nor obtain an updated configuration if they did not
>> change the file.
> 
> I noticed this earlier too, but I was unsure whether there was a
> specific reason upstream decided not to use conffiles for some of the
> configuration files in /etc/bumblebee. That's something I plan on
> asking the upstream PPA maintainers, but for now I'm somewhat hesitant
> to change it...
I see. I am using the package with my patch applied for a few weeks now,
and it is working all right. Not obtaining "default configuration"
upgrades may be a big problem for users which end up suddenly having a
non-working configuration...
The packages at http://suwako.nomanga.net/debian/pool/main/b/bumblebee/
(which I used before I noticed your package) also make the files in
/etc/bumblebee proper conffiles. AFAIK, they are based on the same
Ubuntu PPA.

>> I also simplieifed debian/rules a bit in favour of using
>> debian/bumblebee.install to give additional files which are included in
>> the package. The bash-completion file is installed by "make install", so
>> there's no need to do that again.
> 
> Thanks, applied this part of your patch to the git repo.
:)

Kind regards,
Ralf



Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Fri, 10 May 2013 15:03:25 GMT) Full text and rfc822 format available.

Notification sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Bug acknowledged by developer. (Fri, 10 May 2013 15:03:25 GMT) Full text and rfc822 format available.

Message #182 received at 659440-close@bugs.debian.org (full text, mbox):

From: Vincent Cheng <Vincentc1208@gmail.com>
To: 659440-close@bugs.debian.org
Subject: Bug#659440: fixed in bumblebee 3.2.1-1
Date: Fri, 10 May 2013 15:00:06 +0000
Source: bumblebee
Source-Version: 3.2.1-1

We believe that the bug you reported is fixed in the latest version of
bumblebee, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659440@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Cheng <Vincentc1208@gmail.com> (supplier of updated bumblebee package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 May 2013 03:04:38 -0700
Source: bumblebee
Binary: bumblebee bumblebee-nvidia bumblebee-dbg
Architecture: source amd64
Version: 3.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Vincent Cheng <Vincentc1208@gmail.com>
Description: 
 bumblebee  - NVIDIA Optimus support for Linux
 bumblebee-dbg - NVIDIA Optimus support - debugging symbols
 bumblebee-nvidia - NVIDIA Optimus support using the proprietary NVIDIA driver
Closes: 659440
Changes: 
 bumblebee (3.2.1-1) unstable; urgency=low
 .
   [ Aron Xu ]
   * Initial release (Closes: #659440).
   * Thanks to Peter Lekensteyn and Bruno Pagani, most stuff taken from the
     packaging for Ubuntu PPA.
 .
   [ Vincent Cheng ]
   * Thanks to Igor Urazov for lots of the Debian-specific portions of the
     packaging.
Checksums-Sha1: 
 81972a002c5134cdf3669919247c1c65150abc60 1825 bumblebee_3.2.1-1.dsc
 81c5b64f16829f6810783d2937b0ddb5e0a78497 145329 bumblebee_3.2.1.orig.tar.gz
 9b42bdd49cc06e37efe8efae6638ec1c031639fb 7331 bumblebee_3.2.1-1.debian.tar.gz
 583a6b6ccdf5d62bc1b753404ad2ca550fd125bd 61696 bumblebee_3.2.1-1_amd64.deb
 e044d944a1b23c1cbc56c9c38f3e7f94badd74ed 3404 bumblebee-nvidia_3.2.1-1_amd64.deb
 f5214067a781c25634dbe5ff29f840ac1361bcaf 90336 bumblebee-dbg_3.2.1-1_amd64.deb
Checksums-Sha256: 
 d3191bbcf97e10153a295b7e1354cb9fb474b2e89e066686901fb2284be1260a 1825 bumblebee_3.2.1-1.dsc
 968250e126da326e6eea24082b7adfc454214c26898fa09dcb73299d4336d45e 145329 bumblebee_3.2.1.orig.tar.gz
 a80c495ba56808855639d87de348f1afc3107477a0593a0a3a9b21d19f1cf929 7331 bumblebee_3.2.1-1.debian.tar.gz
 101ede493c25d4964a7f5a3e690a6a5db4d8206a8274908d9147a92cdc64b957 61696 bumblebee_3.2.1-1_amd64.deb
 0e14cd9cdff02dc0d04e4510b74496b88ff6889b1a435f9ae7336b6fa59b8673 3404 bumblebee-nvidia_3.2.1-1_amd64.deb
 fa561c2ffeebd7c7da90fe7237ad43e6e4ec55b369eabc782598122d1eadbf71 90336 bumblebee-dbg_3.2.1-1_amd64.deb
Files: 
 78cdb84867702a3af382c0858803f07f 1825 utils extra bumblebee_3.2.1-1.dsc
 f5cbcf84767a053ba6c70524d7e20f05 145329 utils extra bumblebee_3.2.1.orig.tar.gz
 aee8ac71047cdc062b95e7bd16804a15 7331 utils extra bumblebee_3.2.1-1.debian.tar.gz
 0432b80979b5b4db3d0343cda82bb6b6 61696 utils extra bumblebee_3.2.1-1_amd64.deb
 e14136ff27d41bd8b87ff8e2e1c90475 3404 contrib/utils extra bumblebee-nvidia_3.2.1-1_amd64.deb
 852cd2e31ceaf9a9c6cecff5923ea586 90336 debug extra bumblebee-dbg_3.2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJRhmlAAAoJEIAhAkTu07wNO1cH/3V/uDHnE3nHC+a3hk4kZZVZ
sIRf+C5NbLIOhgmsR8DnfYjxzHlvMIQdDRbj+3ewRDM79Pf6xAxRNeX0U8no/dBG
fzDTv6jmGKg/r2tOgP0k0elHPFFLztepIR6N/+mwgBRV9ajT7wCJh5H/MPWyKqaB
Fknvgg6o9+3SnqVB3ZfrMPbvokoQTHwiF4b8G6BmCkwM8DxtPjbwQzk5rQqiifXo
Pp22SrkVCdwYgLkGGYJWcZ5O13xVv/O4xJINpUXxnoQv7VScV0TewG/btdeMGmNM
1rOQvZR2PJ7gXNWfZh3NJ1ZqqvYnpTxktuOhwyWA+aSG3uZLhg3eEznZdkmOs44=
=GlVc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jun 2013 07:28:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:08:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.